# Add Node Node (Physical Cloud Host) - AddUK8SPHostNode

## Overview

Add one or more physical cloud host type nodes to the UK8S cluster.






## Definition

### Public Parameters

| Parameter Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **Action**     | string  | Corresponding API command name, the current API is `AddUK8SPHostNode`.                      | **Yes** |
| **PublicKey**  | string  | The user's public key can be obtained from [Console](https://console.scloudsg.com/uaccount/api_manage)                                             | **Yes** |
| **Signature**  | string  | User signature generated based on public key and API command, see [Signature Algorithm](/docs/api/summary/signature.md)  | **Yes** |

### Request Parameters

| Parameter Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **Zone** | string | Availability Zone. See [Availability Zone List](api/summary/regionlist) |**Yes**|
| **ProjectId** | string | Project ID. If not filled in, the default project is used, and the sub-account must be filled in. Please refer to the [GetProjectList interface](api/summary/get_project_list). |No|
| **Region** | string | Region. See [List of Regions and Availability Zones](api/summary/regionlist) |**Yes**|
| **ClusterId** | string | UK8S Cluster ID. Can be obtained from the UK8S control panel. |**Yes**|
| **Count** | int | The maximum number of Node nodes that can be created, the value range is [1,10]. |**Yes**|
| **Password** | string | Node node password. Please set the password according to the [field specification](api/uhost-api/specification). The password needs to be encoded with base64, as follows: # echo -n Password1 \| base64 |**Yes**|
| **ChargeType** | string | Billing mode. Enumerated values are: <br /><br /> > Year, pay annually; <br /><br /> > Month, pay monthly;<br /><br /> The default is monthly. |**Yes**|
| **Quantity** | int | Purchase duration. Default: 1. When paying monthly, this parameter is 0, representing purchase until the end of the month. |No|
| **Labels** | string | Node labels. In the form of key=value, multiple groups are separated by ",", up to 5 groups. For example, env=pro,type=game |No|
| **MaxPods** | int | Default is 110, it is recommended to be less than or equal to 110 in the production environment. |No|
| **Type** | string | Physical machine type, default is: db-2 (Basic-SAS-V3) |No|
| **Raid** | string | Raid configuration, default Raid10 supports: Raid0, Raid1, Raid5, Raid10, NoRaid |No|
| **NIC** | string | Network environment, optional gigabit: 1G, ten gigabit: 10G, default 1G. |No|
| **SubnetId** | string | Subnet ID. The default is the subnet ID filled in when the cluster is created, or you can fill in the subnet ID within the same VPC as the cluster. |No|
| **ImageId** | string | Image Id, if not filled, the backend program will automatically select an available Image Id. It supports user-defined images, and user-defined images must be based on basic images. |No|
| **DisableSchedule** | boolean | Indicates whether to temporarily disable the node after adding it. Enter "true" to disable, enter anything else or leave it blank to not disable. |No|
| **InitScript** | string | User-defined Shell script. The difference from UserData is that InitScript is executed only after the node initialization is completed. |No|

### Response Field

| Field Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **RetCode** | int | Return status code. If it is 0, it means successful return. If it is not 0, it means failure. |**Yes**|
| **Action** | string | Operation command name. |**Yes**|
| **Message** | string | Returns an error message, providing detailed description when `RetCode` is non-zero. |No|




## Example

### Request Example
    
```
https://api.scloudsg.com/?Action=AddUK8SPHostNode
&Zone=mASwhOwS
&ProjectId=TtFuuCvl
&Region=ephfLtkg
&ClusterId=gCCKbTeA
&CPU=7
&Count=3
&Password=UiYvduOo
&Mem=2
&ChargeType=wmcAhsnG
&BootDiskType=zmNhZzRf
&DataDiskType=GKVjMCWI
&DataDiskSize=fAJBjatE
&Quantity=8
&MachineType=hYudGdxE
&MinmalCpuPlatform=pXPBzsJd
&GpuType=ilPxSGRq
&GPU=9
&Labels=JUQASjlI
&Kubelet.MaxPods=1
&Type=qxQEPxPH
&Raid=ypSBWSeV
&NIC=gzqVBNpS
&Type=fTtSpRXy
&Raid=iUVCnclz
&NIC=YctuhWeH
&SubnetId=VlAVQbbb
&ImageId=LQuioHZk
&DisableSchedule=jEVHAJOV
&InitScript=LzBmCbai
```

### Response Example
    
```json
{
  "Action": "AddUK8SPHostNodeResponse",
  "Message": "ovAEHXng",
  "RetCode": 0
}
```





